#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	graphviz	# do not require graphviz in doc regeneration
#
Summary:	X protocol C-language Binding library
Summary(pl.UTF-8):	XCB - biblioteka dowiązań języka C do protokołu X
Name:		libxcb
Version:	1.9
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	2b05856e9d1cb37836aae7406f2f4ce2
URL:		http://xcb.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	check >= 0.9.4
BuildRequires:	doxygen
%{?with_graphviz:BuildRequires:	graphviz}
BuildRequires:	libpthread-stubs >= 0.3
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	xcb-proto >= 1.8
BuildRequires:	xorg-lib-libXau-devel >= 0.99.2
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X protocol C-language Binding library.

libxcb provides an interface to the X Window System protocol, slated
to replace the current Xlib interface. It has several advantages over
Xlib, including:
- size: small library and lower memory footprint
- latency hiding: batch several requests and wait for the replies later
- direct protocol access: one-to-one mapping between interface and protocol
- proven thread support: transparently access XCB from multiple threads
- easy extension implementation: interfaces auto-generated from XML-XCB

Xlib can also use XCB as a transport layer, allowing software to make
requests and receive responses with both, which eases porting to XCB.
However, client programs, libraries, and toolkits will gain the most
benefit from a native XCB port.

%description -l pl.UTF-8
XCB - biblioteka dowiązań języka C do protokołu X.

libxcb udostępnia interfejs do protokołu X Window System, mający
zastąpić aktualny interfejs Xlib. Ma kilka zalet w stosunku do Xliba,
w tym:
- rozmiar: mała biblioteka i niewielki narzut pamięciowy
- ukrywanie opóźnień: kolejkowanie kilku żądań i oczekiwanie na
  odpowiedź później
- bezpośredni dostęp do protokołu: odwzorowanie 1-1 między interfejsem
  a protokołem
- sprawdzoną obsługę wątków: bezpośredni dostęp do XCB z wielu wątków
- łatwe implementowanie rozszerzeń: automatyczne generowanie
  interfejsów z XML-XCB

Xlib może także używać XCB jako warstwy transportowej, pozwalając
programom wykonywać żądania i odbierać odpowiedzi poprzez oba
interfejsy, co ułatwia przechodzenie na XCB. Jednak programy
klienckie, biblioteki i toolkity zyskają więcej na natywnym porcie
XCB.

%package devel
Summary:	Header files for XCB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpthread-stubs >= 0.3
Requires:	xorg-lib-libXau-devel
Requires:	xorg-lib-libXdmcp-devel
Requires:	xorg-proto-xproto-devel

%description devel
Header files for XCB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB.

%package static
Summary:	Static XCB library
Summary(pl.UTF-8):	Statyczna biblioteka XCB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB.

%package apidocs
Summary:	XCB library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki XCB
Group:		Documentation

%description apidocs
API and internal documentation for XCB library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki XCB.

%prep
%setup -q
%if %{without graphviz}
%{__sed} -i -e 's/HAVE_DOT               = YES/HAVE_DOT               = NO/g' doc/xcb.doxygen.in
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libxcb

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_libdir}/libxcb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb.so.1
%attr(755,root,root) %{_libdir}/libxcb-composite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-composite.so.0
%attr(755,root,root) %{_libdir}/libxcb-damage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-damage.so.0
%attr(755,root,root) %{_libdir}/libxcb-dpms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dpms.so.0
%attr(755,root,root) %{_libdir}/libxcb-dri2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dri2.so.0
%attr(755,root,root) %{_libdir}/libxcb-glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-glx.so.0
%attr(755,root,root) %{_libdir}/libxcb-randr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-randr.so.0
%attr(755,root,root) %{_libdir}/libxcb-record.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-record.so.0
%attr(755,root,root) %{_libdir}/libxcb-render.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-render.so.0
%attr(755,root,root) %{_libdir}/libxcb-res.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-res.so.0
%attr(755,root,root) %{_libdir}/libxcb-screensaver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-screensaver.so.0
%attr(755,root,root) %{_libdir}/libxcb-shape.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-shape.so.0
%attr(755,root,root) %{_libdir}/libxcb-shm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-shm.so.0
%attr(755,root,root) %{_libdir}/libxcb-sync.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-sync.so.0
%attr(755,root,root) %{_libdir}/libxcb-xevie.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xevie.so.0
%attr(755,root,root) %{_libdir}/libxcb-xf86dri.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xf86dri.so.0
%attr(755,root,root) %{_libdir}/libxcb-xfixes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xfixes.so.0
%attr(755,root,root) %{_libdir}/libxcb-xinerama.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xinerama.so.0
%attr(755,root,root) %{_libdir}/libxcb-xprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xprint.so.0
%attr(755,root,root) %{_libdir}/libxcb-xtest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xtest.so.0
%attr(755,root,root) %{_libdir}/libxcb-xv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xv.so.0
%attr(755,root,root) %{_libdir}/libxcb-xvmc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xvmc.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/tutorial
%attr(755,root,root) %{_libdir}/libxcb.so
%attr(755,root,root) %{_libdir}/libxcb-composite.so
%attr(755,root,root) %{_libdir}/libxcb-damage.so
%attr(755,root,root) %{_libdir}/libxcb-dpms.so
%attr(755,root,root) %{_libdir}/libxcb-dri2.so
%attr(755,root,root) %{_libdir}/libxcb-glx.so
%attr(755,root,root) %{_libdir}/libxcb-randr.so
%attr(755,root,root) %{_libdir}/libxcb-record.so
%attr(755,root,root) %{_libdir}/libxcb-render.so
%attr(755,root,root) %{_libdir}/libxcb-res.so
%attr(755,root,root) %{_libdir}/libxcb-screensaver.so
%attr(755,root,root) %{_libdir}/libxcb-shape.so
%attr(755,root,root) %{_libdir}/libxcb-shm.so
%attr(755,root,root) %{_libdir}/libxcb-sync.so
%attr(755,root,root) %{_libdir}/libxcb-xevie.so
%attr(755,root,root) %{_libdir}/libxcb-xf86dri.so
%attr(755,root,root) %{_libdir}/libxcb-xfixes.so
%attr(755,root,root) %{_libdir}/libxcb-xinerama.so
%attr(755,root,root) %{_libdir}/libxcb-xprint.so
%attr(755,root,root) %{_libdir}/libxcb-xtest.so
%attr(755,root,root) %{_libdir}/libxcb-xv.so
%attr(755,root,root) %{_libdir}/libxcb-xvmc.so
%{_libdir}/libxcb.la
%{_libdir}/libxcb-composite.la
%{_libdir}/libxcb-damage.la
%{_libdir}/libxcb-dpms.la
%{_libdir}/libxcb-dri2.la
%{_libdir}/libxcb-glx.la
%{_libdir}/libxcb-randr.la
%{_libdir}/libxcb-record.la
%{_libdir}/libxcb-render.la
%{_libdir}/libxcb-res.la
%{_libdir}/libxcb-screensaver.la
%{_libdir}/libxcb-shape.la
%{_libdir}/libxcb-shm.la
%{_libdir}/libxcb-sync.la
%{_libdir}/libxcb-xevie.la
%{_libdir}/libxcb-xf86dri.la
%{_libdir}/libxcb-xfixes.la
%{_libdir}/libxcb-xinerama.la
%{_libdir}/libxcb-xprint.la
%{_libdir}/libxcb-xtest.la
%{_libdir}/libxcb-xv.la
%{_libdir}/libxcb-xvmc.la
%{_includedir}/xcb
%{_pkgconfigdir}/xcb*.pc
%{_mandir}/man3/xcb-examples.3*
%{_mandir}/man3/xcb-requests.3*
%{_mandir}/man3/xcb_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb.a
%{_libdir}/libxcb-composite.a
%{_libdir}/libxcb-damage.a
%{_libdir}/libxcb-dpms.a
%{_libdir}/libxcb-dri2.a
%{_libdir}/libxcb-glx.a
%{_libdir}/libxcb-randr.a
%{_libdir}/libxcb-record.a
%{_libdir}/libxcb-render.a
%{_libdir}/libxcb-res.a
%{_libdir}/libxcb-screensaver.a
%{_libdir}/libxcb-shape.a
%{_libdir}/libxcb-shm.a
%{_libdir}/libxcb-sync.a
%{_libdir}/libxcb-xevie.a
%{_libdir}/libxcb-xf86dri.a
%{_libdir}/libxcb-xfixes.a
%{_libdir}/libxcb-xinerama.a
%{_libdir}/libxcb-xprint.a
%{_libdir}/libxcb-xtest.a
%{_libdir}/libxcb-xv.a
%{_libdir}/libxcb-xvmc.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/manual/*
%endif
%changelog
* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 6bbcb49
Merge branch 'master' of git://git.pld-linux.org/packages/libxcb

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> ba8f67b
- updated to 1.9
- specify individual libraries explicitly, so we can track their list

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 623ddb0
- up to 1.9 (consider disabling apidocs since now everything is in manual pages)

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 1e1a2dd
- updated to 1.8.1

* Wed Jan 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c75895
- updated python version
- disable silent-rules

* Wed Jan 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ae5eab
- up to 1.8

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> e2d77ec
- rel 2

* Fri Aug 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cee11a
- up to 1.7

* Fri Apr 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> be44871
- up to 1.6

* Sat Dec 26 2009 Elan Ruusamäe <glen@pld-linux.org> eaec98a
- apidocs to subpackage

* Thu Dec 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f046b26
- up to 1.5

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> e3d4a6b
- BR: python-modules
- dropped BR: graphviz

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> e34b7a7
- fix R: in -devel
- rel 4

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 5ea0dee
- rebuild with libpthread-stubs
- rel 3

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> c78da3e
- updated -devel dep on libpthread-stubs

* Wed Sep 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 147c8ad
- rel 2; depend on new libpthread-stubs

* Thu Jul 16 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a1c98b3
- up to 1.4

* Wed Jul 08 2009 tommat <tommat@pld-linux.org> 842e8a1
- introduce without graphviz bcond

* Fri May 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4453d0d
- up to 1.3

* Tue Feb 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4883d33
- up to 1.2

